[Résolu] Help mise à jour PHP qui plante module

Conseils, trucs et astuces pour progresser avec les différents langages de programmation.

Créer une réponse à ce sujet

Vous ne pouvez pas poster de nouveaux sujets
Vous ne pouvez pas répondre aux sujets
Vous ne pouvez pas éditer vos messages
Vous ne pouvez pas supprimer vos messages
Vous ne pouvez pas joindre des fichiers

partagepartagepartage
Il y a 6 messages dans cette section.
Page 1 sur 1
Créer un nouveau Sujet sur le Forum

[Résolu] Help mise à jour PHP qui plante module

Message :N°1  Message

par
» Mar 23 Juin 2015 17:11

Hello,

Avis aux développeur, j'ai du faire un backup sur mon serveur mutualisé récemment et lors de cette manœuvre mes sites n'était plus accessible, sur instruction du support ovh je suis passé en version PHP 5.4, hors désormais mon module de paiement atos ne fonctionne plus puisque pas compatible avec la version php du serveur.

Auriez vous un module gratuit de paiement atos à me conseiller sur prestashop ou un petit coup de pouce pour mettre à jour mon module ?
Au fait je suis sur presta 1.4.3

Voici le code erreur :

Strict Standards: Declaration of tgg_atos::validateOrder() should be compatible with PaymentModuleCore::validateOrder($id_cart, $id_order_state, $amountPaid, $paymentMethod = 'Unknown', $message = NULL, $extraVars = Array, $currency_special = NULL, $dont_touch_amount = false, $secure_key = false) in...Module.php(547) : eval()'d code on line 1165

en fait j'ai le module de troglogeek en version v2.0-beta4-rc-4 et il a visiblement mis les versions mise à jour sur github mais je ne sais pas lequel prendre Vous devez être inscrit et présenté pour voir les liens ainsi que d'autres éléments qui peuvent être caché aux invités.
  • 0

Avatar de l’utilisateur
Contributeur
 
Messages: 103
Inscription: Lun 9 Fév 2015 16:19
Réputation: 0
Récompenses: 6
Membre Contributeur (1) Protecteur de GHS Tools (1) Membre Financeur (1) + 100 Posts sur le Forum (1) Rédaction & Correction FR (1) Traducteur (Français /Anglais) (1)

Re: Help mise à jour PHP qui plante module

Message :N°2  Message

par
» Mar 23 Juin 2015 19:03

J'ai du coup installé une version plus récente du module donc je n'ai plus de code erreur mais toujours un tunel d'achat qui bloque au moment de la vérification 3Dsecure donc un problème avec la réponse au serveur je suppose :pleur4:

Est-ce que quelqu'un aurait les connaissances nécessaire pour apporter les modifs nécessaire au module pour qu'il fonctionne jusqu'au bout ?
  • 0

Avatar de l’utilisateur
Contributeur
 
Messages: 103
Inscription: Lun 9 Fév 2015 16:19
Réputation: 0
Récompenses: 6
Membre Contributeur (1) Protecteur de GHS Tools (1) Membre Financeur (1) + 100 Posts sur le Forum (1) Rédaction & Correction FR (1) Traducteur (Français /Anglais) (1)

Re: Help mise à jour PHP qui plante module

Message :N°3  Message

par
» Mar 23 Juin 2015 19:08

Tu sais a quel moment ca bloque ?
Tu as essayé de mettre php en mode debug ou regarder dans les logs ce que tu trouve apres une tentative d'achat via ce module ?
  • 0

Avatar de l’utilisateur
GHS Team
 
Messages: 4398
Inscription: Dim 22 Déc 2013 16:17
Localisation: Europe & Asie
Réputation: 326
Récompenses: 12
Membre Contributeur (1) Protecteur de GHS Tools (1) Membre Financeur (1) + 100 Posts sur le Forum (1) + 200 Posts sur le Forum (1) Le meilleur Posteur (1) Traducteur (Anglais / Chinois) (1) Rédaction & Correction FR (1) Traducteur (Français /Anglais) (1) Développeur WEB (1)

Re: Help mise à jour PHP qui plante module

Message :N°4  Message

par
» Mar 23 Juin 2015 21:35

Oui j'ai essayé et je n'ai aucun message d'erreur en mode debug, je pense que c'est un problème avec les binaires qui ne doivent plus être compatible. Je verrais demain avec le service technique d'ovh ils pourront peut-être m'aider. je tiendrais le forum au courant :rouge:
  • 0

Avatar de l’utilisateur
Contributeur
 
Messages: 103
Inscription: Lun 9 Fév 2015 16:19
Réputation: 0
Récompenses: 6
Membre Contributeur (1) Protecteur de GHS Tools (1) Membre Financeur (1) + 100 Posts sur le Forum (1) Rédaction & Correction FR (1) Traducteur (Français /Anglais) (1)

Re: Help mise à jour PHP qui plante module

Message :N°5  Message

par
» Mer 24 Juin 2015 10:07

Donc voici la suite et fin de mes mésaventures, j'ai donc réussi à installer une version plus récente du module de paiement le message d'erreur a donc disparu mais j'avais toujours un problème au moment de la vérification 3d secrure qui n'allait pas jusqu'au bout.
Il s'avère qu'en contactant les différents support technique de chez OVH et de ma banque ma version mis à jour de PHP n'était pas en cause et le problème venait en fait de la banque et d'atos qui n'avais pas encore géré le bug.

Pour info les service Atos sont devenue sérieusement merdique ça n'est pas la première fois que je rencontre des problèmes de fonctionnement, je vais donc certainement basculer sur paybox.

Pour info attention à la mise à jour de votre version PHP, OVH m'a signalé que c'était pour septembre dernier délai
  • 0

Avatar de l’utilisateur
Contributeur
 
Messages: 103
Inscription: Lun 9 Fév 2015 16:19
Réputation: 0
Récompenses: 6
Membre Contributeur (1) Protecteur de GHS Tools (1) Membre Financeur (1) + 100 Posts sur le Forum (1) Rédaction & Correction FR (1) Traducteur (Français /Anglais) (1)

Re: Help mise à jour PHP qui plante module

Message :N°6  Message

par
» Mer 24 Juin 2015 10:20

Merci pour l'info, content que tu es résolu ton problème :super:
  • 0

Avatar de l’utilisateur
GHS Team
 
Messages: 4398
Inscription: Dim 22 Déc 2013 16:17
Localisation: Europe & Asie
Réputation: 326
Récompenses: 12
Membre Contributeur (1) Protecteur de GHS Tools (1) Membre Financeur (1) + 100 Posts sur le Forum (1) + 200 Posts sur le Forum (1) Le meilleur Posteur (1) Traducteur (Anglais / Chinois) (1) Rédaction & Correction FR (1) Traducteur (Français /Anglais) (1) Développeur WEB (1)


Répondre à ce sujet du Forum

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité

Retourner vers Programmation



 


  • Sujets similaires
    Réponses
    Vus
    Dernier message